//
// dwm-field.h
//
// This header file provides the definition for the DWMField object.
// This is an abstract object that serves as the base class for all present
// and future field type objects.
//
// 8/24/94 started

#ifndef _DWM_FIELD_H
#define _DWM_FIELD_H

#include "dwm-object.h"

class DWMField : public DWMObject {

 public:
  DWMField() {}
  DWMField( char *name ) : DWMObject(name) {}
  ~DWMField() {}

  // here are the function place holders....
  virtual double Evaluate_Field(double, double, double) = 0;

 protected:

};

#endif


