

typedef double DWMfloat;
#include <stdio.h>

#include "dwm-tfield.h"
#include "dwm-timing-obj.h"

DWMfloat DWMTField::TScale( DWMfloat time ) const
{
    int i; 
    int nelements = tsequence_list->Number_Of_Elements();
    double result = 0.0;
    double dtemp;
    tsequence_list->FReset();

    DWMTimingObject *foo;

    for(i=0; i<nelements; i++)
      { 
	foo = ((DWMTimingObject *)(tsequence_list->Flick()));
	dtemp = foo->TScale(time);
	//printf("%f\t%s\t%f\n", time, foo->Name(), dtemp);
	result += dtemp;
      }
    return(result);
  }


void  DWMTField::Print_Timing_Objects() const
{
  int i; 
  int nelements = tsequence_list->Number_Of_Elements();
  tsequence_list->FReset();
  for(i=0; i<nelements; i++)
    {
       ((DWMTimingObject *)(tsequence_list->Flick()))->Print_Diagnostics();
    }
}
