


// extracts then next token from string and copies it into word_buffer

char *extract_token( char *source, char *word_buffer )
{
  int k; 
  char *ptr;
  char c;

  ptr = source;
  
  // first check for a null pointer.
  if(*ptr == 0) { *word_buffer = 0; return 0; }

  // skip any initial white spaces.....
  while(*ptr == ' ' || *ptr == '\t' || *ptr == '\n') ptr++;

  // again check for a null pointer..
  if(*ptr == 0) { *word_buffer = 0; return 0; }

  // now copy the characters to word_buffer until we hit the end...

  k=0;
  while( ((c=*ptr) != 0) && c != (char)' ' && c != (char)'\n' && c != (char)'\t' ) word_buffer[k++] = *ptr++;
  word_buffer[k] = 0;

  if(c != 0) ptr++;  // advance the pointer if it is not at the end of the string...

  return ptr;

}


char *strip_white( char *source)
{
  char *ptr = source;

  // skip any initial white spaces.....
  while(*ptr == ' ' || *ptr == '\t' || *ptr == '\n') ptr++;

  return ptr;
}

  
